Package org.apache.cxf.service

# Interface ServiceBuilder

public interface ServiceBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServiceInfo`
  `createService()`
  `File`
  `getOutputFile()`
  `void`
  `setAddress(String addr)`
  `void`
  `setBindingId(String id)`
  `void`
  `setBus(Bus bus)`
  `void`
  `setServiceClass(Class<?> clz)`
  `void`
  `setTransportId(String id)`
  `void`
  `validate()`

- ## Method Details

  - ### createService

    ServiceInfo createService()

  - ### setBindingId

    void setBindingId(String id)

  - ### setTransportId

    void setTransportId(String id)

  - ### setBus

    void setBus(Bus bus)

  - ### setAddress

    void setAddress(String addr)

  - ### setServiceClass

    void setServiceClass(Class<?> clz)

  - ### getOutputFile

    File getOutputFile()

  - ### validate

    void validate()